# This file is part of CoVeriTeam, a tool for on-demand composition of cooperative verification systems:
# https://gitlab.com/sosy-lab/software/coveriteam
#
# SPDX-FileCopyrightText: 2020 Dirk Beyer <https://www.sosy-lab.org>
#
# SPDX-License-Identifier: Apache-2.0

# Actor definition for the tool Dartagnan
# URL: https://github.com/hernanponcedeleon/Dat3M

imports: 
  - !include verifier_resource.yml
actor_name: dartagnan
toolinfo_module: "https://gitlab.com/sosy-lab/software/benchexec/-/raw/main/benchexec/tools/dartagnan.py"
options: []
archives:
  - version: default
    location: "https://gitlab.com/sosy-lab/benchmarking/coveriteam-archives/dartagnan/-/raw/main/dartagnan.zip"
  - version: svcomp23
    location: "https://gitlab.com/sosy-lab/sv-comp/archives-2023/-/raw/main/2023/dartagnan.zip"
  - version: svcomp22
    location: "https://gitlab.com/sosy-lab/sv-comp/archives-2022/-/raw/main/2022/dartagnan.zip"
  - version: svcomp21
    location: "https://gitlab.com/sosy-lab/sv-comp/archives-2021/-/raw/master/2021/dartagnan.zip"
  - version: svcomp20
    location: "https://gitlab.com/sosy-lab/sv-comp/archives-2020/-/raw/master/2020/dartagnan.zip"

format_version: '1.2'
